---
title: 'SyntaxError: identifier starts immediately after numeric literal'
slug: Web/JavaScript/Reference/Errors/Identifier_after_number
tags:
  - Error
  - Errors
  - JavaScript
  - SyntaxError
---
<div>{{JSSidebar("Errors")}}</div>

<p>The JavaScript exception "identifier starts immediately after numeric literal" occurs when an identifier started with a digit. Identifiers can only start with a letter, underscore (_), or dollar sign ($).</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox">SyntaxError: Unexpected identifier after numeric literal (Edge)
SyntaxError: identifier starts immediately after numeric literal (Firefox)
SyntaxError: Unexpected number (Chrome)
</pre>

<h2 id="Error_type">Error type</h2>

<p>{{jsxref("SyntaxError")}}</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>The names of variables, called <a href="/en-US/docs/Glossary/Identifier">identifiers</a>, conform to certain rules, which your code must adhere to!</p>

<p>A JavaScript identifier must start with a letter, underscore (_), or dollar sign ($). They can't start with a digit! Only subsequent characters can be digits (0-9).</p>

<h2 id="Examples">Examples</h2>

<h3 id="Variable_names_starting_with_numeric_literals">Variable names starting with numeric literals</h3>

<p>Variable names can't start with numbers in JavaScript. The following fails:</p>

<pre class="brush: js example-bad">var 1life = 'foo';
// SyntaxError: identifier starts immediately after numeric literal

var foo = 1life;
// SyntaxError: identifier starts immediately after numeric literal

alert(1.foo);
// SyntaxError: identifier starts immediately after numeric literal
</pre>

<p>You will need to rename your variable to avoid the leading number.</p>

<pre class="brush: js example-good">var life1 = 'foo';
var foo = life1;
</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Lexical_grammar">Lexical grammar</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Guide/Grammar_and_types#Variables">Variables</a> in the <a href="/en-US/docs/Web/JavaScript/Guide">JavaScript Guide</a></li>
</ul>
